package com.dsic.gj_erp.bean.sy;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.dsic.gj_erp.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 *
 * </p>
 *
 * @author xhj
 * @since 2021-03-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="SyDictItem对象", description="")
public class SyDictItem implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;
    @Dict(dictTable ="sy_dict",dictText = "dict_name",dictCode = "dict_code")
    @ApiModelProperty(value = "字典编码")
    private String dictCode;

    @ApiModelProperty(value = "字典项文本")
    private String itemCode;

    @ApiModelProperty(value = "字典项值")
    private String itemValue;

    @ApiModelProperty(value = "描述")
    private String remark;

    @ApiModelProperty(value = "排序")
    private String sortNo;

    private String params1;

    private String params2;

    private String params3;

    private String params4;

    private String params5;

    private String ylzd5;//铁舾油漆旧消耗系数
    private String yqxs1;//铁舾油漆新消耗系数

    //集团切块
    private String jtqk;

    //舾装切块
    private String xzqk;

    //统计类型
    private String tjlx;

    //工艺类型
    private String gylx;

    //分析类型1
    private String fxlx1;

    //分析类型2
    private String fxlx2;

    //gj下  管径范围>=
    private BigDecimal params6;
    //gj下管径范围<=
    private BigDecimal params7;
    //gj下消耗系数
    private BigDecimal params8;
    //gj下附件消耗系数
    private BigDecimal params9;
    //gj下限额消耗系数
    private BigDecimal params10;







}
