package com.dsic.gj_erp.bean.sy;

import com.dsic.gj_erp.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;

@ApiModel("用户表")
@Entity
@Table(name = "SYUSERP")
@Data
public class Syuserp {
    @ApiModelProperty(value="用户代码")
    @Id
    private String YHDM;
    @ApiModelProperty(value="用户名")
    private String YHMS;
    @ApiModelProperty(value="密码")
    private String PWD;
    @ApiModelProperty(value="部门编码")
    @Dict(dictCode = "bmbm")
    private String BMBM;
    @ApiModelProperty(value="审批权限")
    private String YLZD1;
    @ApiModelProperty(value="职号")
    private String YLZD2;
    private String YLZD3;
    private BigDecimal YLZD4;
    private BigDecimal YLZD5;
    private BigDecimal YLZD6;
    private String SJBS;

}
