package com.dsic.gj_erp.service.sy;


import com.baomidou.mybatisplus.extension.service.IService;
import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.sy.DmDepart;
import com.dsic.gj_erp.bean.sy.DmDepartIn;
import com.dsic.gj_erp.service.MyCacheInterface;

import java.util.List;

/**
 * <p>
 * 部门表 服务类
 * </p>
 *
 * @author xhj
 * @since 2021-03-23
 */
public interface DmDepartService extends IService<DmDepart>, MyCacheInterface {
    List<DmDepart> getAll();
    List<DmDepart> getByCondition(DmDepart dmDepart);
    List<DmDepart> getByConditionDefaultDepartCode(DmDepartIn dmDepart);
    List<DmDepart> getAllParent();
    List<DmDepart> getAllChildren();
    ResultBean<Integer> addDepart(DmDepart[] dmDeparts);
    ResultBean<Integer> updateDepart(DmDepart[] dmDeparts);
    ResultBean<Integer> delDepart(DmDepart[] dmDeparts);
    ResultBean<List<DmDepart>> selectDepartQuery (List<String> params);
}
