package com.dsic.gj_erp.bean.jcsj;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("DM_WPJBP")
@ApiModel(value="DmWpjbp对象", description="")
public class DmWpjbp implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "船号")
    @TableField("DC_CH")
    private String dcCh;

    @ApiModelProperty(value = "船名")
    @TableField("DC_CM")
    private String dcCm;

    @ApiModelProperty(value = "批量")
    @TableField("DC_PL")
    private String dcPl;

    @ApiModelProperty(value = "分段")
    @TableField("DC_FD")
    private String dcFd;

    @ApiModelProperty(value = "图号")
    @TableField("DC_TH")
    private String dcTh;

    @ApiModelProperty(value = "组立")
    @TableField("DC_ZL")
    private String dcZl;

    @ApiModelProperty(value = "特征")
    @TableField("DC_TZ")
    private String dcTz;

    @ApiModelProperty(value = "依据")
    @TableField("DC_YJ")
    private String dcYj;

    @ApiModelProperty(value = "页数")
    @TableField("DC_YS")
    private String dcYs;

    @ApiModelProperty(value = "拼板")
    @TableField("DC_PB")
    private String dcPb;

    @ApiModelProperty(value = "炉批号")
    @TableField("DC_LPH")
    private String dcLph;

    @ApiModelProperty(value = "托盘编号")
    @TableField("DC_TPBH")
    private String dcTpbh;

    @ApiModelProperty(value = "托盘名称")
    @TableField("DC_TPMC")
    private String dcTpmc;

    @TableField("ZJBS")
    private String zjbs;

    @TableField("WPZS")
    private String wpzs;

    @TableField("CPLL_JLDW")
    private String cpllJldw;

    @TableField("YHFLH")
    private String yhflh;

    @TableId(value = "WPH", type = IdType.ASSIGN_UUID)
    private String wph;

    @TableField("YXQSSJ")
    private String yxqssj;

    @TableField("KJKMBM")
    private String kjkmbm;

    @TableField("JSTJ")
    private String jstj;

    @TableField("DJGL")
    private Double djgl;

    @TableField("XGSJCG")
    private String xgsjcg;

    @TableField("DJDY_JLDW")
    private String djdyJldw;

    @TableField("BPL")
    private Double bpl;

    @TableField("GJJBS")
    private String gjjbs;

    @TableField("WPFLM4")
    private String wpflm4;

    @TableField("WPXH")
    private String wpxh;

    @TableField("ZTF")
    private Double ztf;

    @TableField("GYCZY")
    private String gyczy;

    @TableField("BSLX")
    private String bslx;

    @TableField("JLDW1")
    private String jldw1;

    @TableField("PLJS")
    private Integer pljs;

    @TableField("BZJGXGR")
    private String bzjgxgr;

    @TableField("FPXS")
    private Double fpxs;

    @TableField("WPJSTJ")
    private String wpjstj;

    @TableField("CPCS")
    private Double cpcs;

    @TableField("ZDRYQL")
    private String zdryql;

    @TableField("ZGZQ")
    private Double zgzq;

    @TableField("ZDPL")
    private Double zdpl;

    @TableField("ZL")
    private Double zl;

    @TableField("ZXBZH")
    private String zxbzh;

    @TableField("JLCD")
    private Double jlcd;

    @TableField("JGCZY")
    private String jgczy;

    @TableField("YLZD2")
    private String ylzd2;

    @TableField("CCXGR")
    private String ccxgr;

    @TableField("XGSJ")
    private String xgsj;

    @TableField("CGJLDW")
    private String cgjldw;

    @TableField("DEZL")
    private Double dezl;

    @TableField("BZJGXGRQ")
    private String bzjgxgrq;

    @TableField("DWHSL")
    private Double dwhsl;

    @TableField("FJBS")
    private String fjbs;

    @TableField("XGSJQL")
    private String xgsjql;

    @TableField("FDGZQ")
    private Double fdgzq;

    @TableField("ZDRYTQ")
    private String zdrytq;

    @TableField("YLZD5")
    private Double ylzd5;

    @TableField("JYC")
    private Double jyc;

    @TableField("WPFLM2")
    private String wpflm2;

    @TableField("ZLBZH")
    private String zlbzh;

    @TableField("WPFLM")
    private String wpflm;

    @TableField("TQQXGBS")
    private String tqqxgbs;

    @TableField("GYWCBS")
    private String gywcbs;

    @TableField("XNJBS")
    private String xnjbs;

    @TableField("DHKC")
    private Double dhkc;

    @TableField("WPFLM5")
    private String wpflm5;

    @TableField("DWJGXGR")
    private String dwjgxgr;

    @TableField("SPBM")
    private String spbm;

    @TableField("DFKMBM")
    private String dfkmbm;

    @TableField("YXZZSJ")
    private String yxzzsj;

    @TableField("CPTY")
    private Double cpty;

    @TableField("JZMD")
    private Double jzmd;

    @TableField("GSDEM")
    private String gsdem;

    @TableField("YXYC")
    private Double yxyc;

    @TableField("BZJG")
    private Double bzjg;

    @TableField("RKBS")
    private String rkbs;

    @TableField("ZXPL")
    private Double zxpl;

    @TableField("JGBZ")
    private String jgbz;

    @TableField("JGWCBS")
    private String jgwcbs;

    @TableField("YLZD8")
    private String ylzd8;

    @TableField("ABCLX")
    private String abclx;

    @TableField("DRJG")
    private Double drjg;

    @TableField("ZDRY")
    private String zdry;

    @TableField("FGSJ")
    private Double fgsj;

    @TableField("GZLX")
    private String gzlx;

    @TableField("AQDM")
    private String aqdm;

    @TableField("DWJGXGRQ")
    private String dwjgxgrq;

    @TableField("CGBZ")
    private String cgbz;

    @TableField("WPTPDZ")
    private String wptpdz;

    @TableField("CPCS_JLDW")
    private String cpcsJldw;

    @TableField("ZJM")
    private String zjm;

    @TableField("BSBM")
    private String bsbm;

    @TableField("BZ")
    private String bz;

    @TableField("XHZL")
    private Double xhzl;

    @TableField("WPMC")
    private String wpmc;

    @TableField("CCXGRQ")
    private String ccxgrq;

    @TableField("YLZD3")
    private String ylzd3;

    @TableField("YLZD9")
    private String ylzd9;

    @TableField("CKH")
    private String ckh;

    @TableField("YLL")
    private Double yll;

    @TableField("XJBS")
    private String xjbs;

    @TableField("DBZ")
    private String dbz;

    @TableField("WPGL")
    private String wpgl;

    @TableField("AQKC")
    private Double aqkc;

    @TableField("GYLX")
    private String gylx;

    @TableField("GYLB")
    private String gylb;

    @TableField("BZPL")
    private Double bzpl;

    @TableField("WPCC")
    private String wpcc;

    @TableField("DJGL_JLDW")
    private String djglJldw;

    @TableField("JZ")
    private String jz;

    @TableField("PLDM")
    private String pldm;

    @TableField("DWJG")
    private Double dwjg;

    @TableField("WPFLM3")
    private String wpflm3;

    @TableField("WPGG")
    private String wpgg;

    @TableField("GYCZRQ")
    private String gyczrq;

    @TableField("YLZD6")
    private Double ylzd6;

    @TableField("ZZBM")
    private String zzbm;

    @TableField("ZDKC")
    private Double zdkc;

    @TableField("DCM")
    private Double dcm;

    @TableField("WPEMC")
    private String wpemc;

    @TableField("GYSBH")
    private String gysbh;

    @TableField("PHXS")
    private Double phxs;

    @TableField("WPZL")
    private Double wpzl;

    @TableField("CPTY_JLDW")
    private String cptyJldw;

    @TableField("WD")
    private Double wd;

    @TableField("DJDY")
    private Double djdy;

    @TableField("JGCZRQ")
    private String jgczrq;

    @TableField("YCZJL")
    private Double yczjl;

    @TableField("JGWCRQ")
    private String jgwcrq;

    @TableField("CFLAG")
    private String cflag;

    @TableField("CLDH")
    private String cldh;

    @TableField("YLZD1")
    private String ylzd1;

    @TableField("YLZD7")
    private String ylzd7;

    @TableField("ZDSJ")
    private String zdsj;

    @TableField("GDPL")
    private Double gdpl;

    @TableField("TZGG")
    private String tzgg;

    @TableField("CPLL")
    private Double cpll;

    @TableField("CCBS")
    private String ccbs;

    @TableField("AQQ")
    private Double aqq;

    @TableField("JYBZ")
    private String jybz;

    @TableField("BZXX")
    private String bzxx;

    @TableField("KCJBS")
    private String kcjbs;

    @TableField("CPXL")
    private Double cpxl;

    @TableField("ZDRYCG")
    private String zdrycg;

    @TableField("XGSJTQ")
    private String xgsjtq;

    @TableField("XSJG")
    private Double xsjg;

    @TableField("JLDW")
    private String jldw;

    @TableField("WPJB")
    private String wpjb;

    @TableField("GYWCRQ")
    private String gywcrq;

    @TableField("ZTQQXGBS")
    private String ztqqxgbs;

    @TableField("YLZD4")
    private Double ylzd4;


}
