package com.dsic.gj_erp.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dsic.gj_erp.bean.sy.DmDepart;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 部门表 Mapper 接口
 * </p>
 *
 * @author xhj
 * @since 2021-03-23
 */
@Mapper
public interface DmDepartMapper extends BaseMapper<DmDepart> {
    @Select(value = {"<script>"
            + "select depart_code,depart_name from dm_depart "
            + " where  depart_code in  "
            + "<foreach collection='ids' item='id' open='(' separator=',' close=')'>"
            +"#{id}"
            +"</foreach>"
            + "</script>"})
    List<DmDepart> selectDepartQuery (@Param("ids") List<String>  ids);

}
